﻿using System.Collections.Generic;

namespace umbraco.DataServices.Linq
{
    public interface INodeNavigator {

        UmbracoNode Parent { get; }
        IEnumerable<UmbracoNode> Ancestors  { get; }
        IEnumerable<UmbracoNode> AncestorsNamed(string alias);
        IEnumerable<UmbracoNode> Descendants  { get; }
        IEnumerable<UmbracoNode> DescendantsNamed(string alias);
        IEnumerable<UmbracoNode> Sibblings  { get; }
        IEnumerable<UmbracoNode> SibblingsNamed(string alias);
        IEnumerable<UmbracoNode> Children { get; }
        IEnumerable<UmbracoNode> ChildrenNamed(string alias);

    }
}
